statelessrule("When user is member of "admin1 group" set visibility of draft issue to that group", model.Event.BEFORE_FLUSH, function(ctx) {
  return !invoke(ctx, ctx.issue, "isReported", []);
}, function(ctx) {
  var checkGroup = find("admin1 group", classType(ctx, "UserGroup", false));
  if (!invoke(ctx, ctx.loggedInUser, "isInGroup", [safeCall(checkGroup,"get", ["name"], null)])) {
    safeCall(ctx.issue,"set", ["permittedGroup", checkGroup], null);
  }
}).addRequirements(requirements([{name: "Issue", fields: [{name: "permittedGroup", type: {name: "UserGroup"}}]}, {name: "UserGroup", fields: [{name: "name", type: {name: "string", primitive: true}}], values: ["admin1 group"]}]));